-Top- -Classes- -Public Operations- -Class Diagrams- -Sequence Diagrams-

_ A B C D E F G H I J K L M N O P R S T U V W ~

Class UmlBaseClassView

Declaration :

- C++ : class UmlBaseClassView : public UmlItem
- Java : abstract class UmlBaseClassView extends UmlItem

Directly inherited by : UmlClassView

Manage the class views

Artifact : UmlBaseClassView

Operation create

Declaration :

- C++ : public: static UmlClassView * create(UmlPackage * parent, const char * s)
- Java : public static UmlClassView create(UmlPackage parent, String s) throws RuntimeException

returns a new class view named 's' created under 'parent'
In case it cannot be created (the name is already used or invalid, 'parent' cannot contain it etc ...) return 0 in C++ and produce a RuntimeException in Java

Operation kind

Declaration :

- C++ : public: virtual anItemKind kind()
- Java : public anItemKind kind()

returns the kind of the item

Operation associatedDeploymentView

Declaration :

- C++ : public: UmlDeploymentView * associatedDeploymentView()
- Java : public UmlDeploymentView associatedDeploymentView()

returns the optional associated deployment view

Operation set_AssociatedDeploymentView

Declaration :

- C++ : public: bool set_AssociatedDeploymentView(UmlDeploymentView * v)
- Java : public void set_AssociatedDeploymentView(UmlDeploymentView v) throws RuntimeException

sets the associated deployment view, arg may be null to unset it
On error return FALSE in C++, produce a RuntimeException in Java

Relation _assoc_view (<unidirectional association>)

Declaration :

- C++ : private: UmlDeploymentView * _assoc_view
- Java : private UmlDeploymentView _assoc_view

Operation read_uml_

Declaration :

- C++ : protected: virtual void read_uml_()
- Java : protected void read_uml_()

internal, do NOT use it

Operation UmlBaseClassView

Declaration :

- C++ : protected: UmlBaseClassView(void * id, const QCString & n) : UmlItem(id, n)
- Java : protected UmlBaseClassView(long id, String n)

the constructor, do not call it yourself !!!!!!!!!!

All public operations :

apply , associatedDeploymentView , children , childrenVisible , create , defined_ , description , identifier_ , isMarked , isToolRunning , isWritable , kind , kind , markedItems , name , parent , properties , propertyValue , referencedBy , set_AssociatedDeploymentView , set_childrenVisible , set_Description , set_isMarked , set_Name , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload